> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Hypixel Guild Data

> Retrieves Hypixel guild data for a given player UUID. The data is cached for improved performance.



## OpenAPI

````yaml https://stash.seraph.si/json get /hypixel/guild/{player}
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /hypixel/guild/{player}:
    get:
      tags:
        - Hypixel
        - Guild
      summary: Fetch Hypixel Guild Data
      description: >-
        Retrieves Hypixel guild data for a given player UUID. The data is cached
        for improved performance.
      parameters:
        - description: Player UUID to fetch guild data for
          in: path
          name: player
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/routes.HypixelGuildData'
          description: Successfully retrieved Hypixel guild data
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad request, e.g., invalid player UUID or failure to fetch data
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error or external API error
components:
  schemas:
    routes.HypixelGuildData:
      properties:
        cache:
          type: integer
        cause:
          type: string
        guild:
          properties:
            _id:
              type: string
            achievements: {}
            banner: {}
            chatMute:
              type: integer
            coins:
              type: integer
            coinsEver:
              type: integer
            created:
              type: integer
            description:
              type: string
            exp:
              type: integer
            guildExpByGameType: {}
            joinable:
              type: boolean
            legacyRanking:
              type: integer
            level_calc:
              type: number
            members:
              items:
                properties:
                  displayname:
                    type: string
                  expHistory: {}
                  joined:
                    type: integer
                  mutedTill:
                    type: integer
                  name:
                    type: string
                  questParticipation:
                    type: integer
                  rank:
                    type: string
                  uuid:
                    type: string
                type: object
              type: array
              uniqueItems: false
            name:
              type: string
            name_lower:
              type: string
            players:
              items:
                type: string
              type: array
              uniqueItems: false
            preferredGames:
              items:
                type: string
              type: array
              uniqueItems: false
            publiclyListed:
              type: boolean
            ranks:
              items: {}
              type: array
              uniqueItems: false
            tag:
              type: string
            tagColor:
              type: string
          type: object
        success:
          type: boolean
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````